package org.jeecg.modules.apiService;


import org.jeecg.common.api.vo.Result;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * 个人信息接口补充：lzx
 */
public interface UserInfoService {

    //lzx:查询个人信息接口
    Result<?> queryUserInfo(String token);

    //lzx:修改个人信息接口
    Result<?> updateUserInfo(String token,String nickName,String phone,String headImage);

    //lzx：获取个人中心基础数据信息
    Result<?> getUserCenterData(String token);
}
